Subject: bug#73759: closed (Re: [bug#73759] [PATCH v2] gnu: Upgrade googletest)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 09 Jul 2025 20:35:03 +0000

Your bug report

#73759: [PATCH] gnu: Upgrade googletest

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73759: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73759
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73759] [PATCH v2] gnu: Upgrade googletest
From: Greg Hogan <[email-masked]>
To: [email-masked]
Cc: [email-masked], Aaron Covrig <[email-masked]>, Aaron Covrig <[email-masked]>
Date: Wed, 9 Jul 2025 16:34:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, May 9, 2025 at 11:53 AM Greg Hogan <[email-masked]> wrote:
>
> On Sat, Apr 26, 2025 at 11:35 AM ngraves--- via Guix-patches via
> <[email-masked]> wrote:
> >
> > Hi Aaron,
> >
> > googletest has 6k+ dependent packages, it should be updated in a
> > dedicated branch (core-packages, or maybe c++).
>
> v1.17.0 has since been released (which would be the third update on this issue).
>
> I would like to put this on a c++ branch but the initial c++-team
> branch makes major changes to the cmake build system so library
> updates will need to wait for the subsequent branch. It has been
> (exactly) 2 months waiting to move up half the queue, with
> core-packages (and presumably qt) still to be merged. Then after
> merging the c++ branch we'll be waiting for another round of the
> queue.
>
> But waiting leaves this issue open, and I have actually already
> included it in a local c++-libraries branch, so perhaps I should push
> that upstream, mark this issue done, and request a new specification
> on CI for both c++-team (which is almost ready) and c++-libraries.
>
> There is still the question of how to publish further patches fixing
> broken builds from this update. It's not clear to me that the feature
> branch is sufficient.
>
> Greg

This is included in the c++-libraries branch so I am closing the issue.

Subject: [PATCH] gnu: Upgrade googletest
From: Aaron Covrig <[email-masked]>
To: [email-masked]
Cc: Aaron Covrig <[email-masked]>
Date: Fri, 11 Oct 2024 21:16:18 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/check.scm (googletest): Upgrade to 1.15.2
---
 gnu/packages/check.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 8d41996c71..a74052fa35 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -1059,16 +1059,16 @@ (define-public python-gixy
 (define-public googletest
   (package
     (name "googletest")
-    (version "1.12.1")
+    (version "1.15.2")
     (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://github.com/google/googletest")
-             (commit (string-append "release-" version))))
+             (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "1cv55x3amwrvfan9pr8dfnicwr8r6ar3yf6cg9v6nykd6m2v3qsv"))))
+        (base32 "0wvivz9hxxs8gdmqx0v4g012lqi43fpzvndwmx6i0wdcwi4pdqnl"))))
     (build-system cmake-build-system)
     (arguments
      `(#:configure-flags '("-DBUILD_SHARED_LIBS=ON")))

base-commit: b8fd792ea267cb920da0651074a533d8abf00488
-- 
2.46.0